List order groups (expanded)

Lists the caller’s order groups with member orders nested and a derived shipping-status rollup. Filtering, sorting, and pagination use stored group fields. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (OrderGroupExpandedListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_billing_review_statusenumOptional

Filter by the group’s billing-review status(es).

Allowed values:
filter_order_idstringOptional
Filter to groups containing this order id.
filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value (inclusive).

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value (inclusive).

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders and Order Groups Order Groups List V1request Unprocessable Entity Error